[SCM] Samba Shared Repository - branch master updated

Kai Blin kai at samba.org
Tue May 11 06:50:02 MDT 2010


The branch, master has been updated
       via  eda5888... build: skip missing executables in testwaf.sh
      from  2eab1d7... tdb: remove unused variable in tdb_new_database().

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit eda58884928845702e210afd75d0c0ece8f3dbfe
Author: Kai Blin <kai.blin at biotech.uni-tuebingen.de>
Date:   Tue May 11 14:24:47 2010 +0200

    build: skip missing executables in testwaf.sh

-----------------------------------------------------------------------

Summary of changes:
 buildtools/testwaf.sh |   14 ++++++++++++--
 1 files changed, 12 insertions(+), 2 deletions(-)


Changeset truncated at 500 lines:

diff --git a/buildtools/testwaf.sh b/buildtools/testwaf.sh
index 7a3f1bf..a9a17cf 100755
--- a/buildtools/testwaf.sh
+++ b/buildtools/testwaf.sh
@@ -48,6 +48,11 @@ echo "testing python portability"
 pushd lib/talloc
 versions="python2.4 python2.5 python2.6 python3.0 python3.1"
 for p in $versions; do
+    ret=$(which $p || echo "failed")
+    if [ $ret == "failed" ]; then
+        echo "$p not found, skipping"
+        continue
+    fi
     echo "Testing $p"
     $p ../../buildtools/bin/waf configure -C --enable-developer --prefix=$PREFIX
     $p ../../buildtools/bin/waf build install
@@ -56,6 +61,11 @@ popd
 
 echo "testing cross compiling"
 pushd lib/talloc
-CC=arm-linux-gnueabi-gcc ./configure -C --prefix=$PREFIX  --cross-compile --cross-execute='runarm'
-make && make install
+ret=$(which arm-linux-gnueabi-gcc || echo "failed")
+if [ $ret != "failed" ]; then
+    CC=arm-linux-gnueabi-gcc ./configure -C --prefix=$PREFIX  --cross-compile --cross-execute='runarm'
+    make && make install
+else
+    echo "Cross-compiler not installed, skipping test"
+fi
 popd


-- 
Samba Shared Repository


More information about the samba-cvs mailing list